Storage Locations (Inventory)
Endpoints to create, update, and read storage locations and zones.
ID of facility from which you want to get the storage locations. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
all entities after given Id
number of entities to show
25limit result to storage locations with scannable code
Facility was found & you are allowed to get the storage locations. The result is in the body.
StorageLocation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
Deprecated! This field will not be filled in newly created storage locations. Resolve the zone name separately via the facilities/{id}/zones endpoint. The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference.
Esb20gpHBL94X5NdMp3CThe id of this storage location
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
GET /api/facilities/{facilityId}/storagelocations HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]Creates a new storage location in this facility.
ID of facility from whom you want to create the storage location
StorageLocationForCreation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe storage location was successfully created.
StorageLocation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
Deprecated! This field will not be filled in newly created storage locations. Resolve the zone name separately via the facilities/{id}/zones endpoint. The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference.
Esb20gpHBL94X5NdMp3CThe id of this storage location
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
POST /api/facilities/{facilityId}/storagelocations HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 376
{
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {}
}{
"facilityRef": "Esb20gpHBL94X5NdMp3C",
"id": "text",
"schemaVersion": 1,
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}ID of facility from which you want to get the storage locations. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
the ID of the storageLocation
Facility was found & you are allowed to get the storage locations. The result is in the body.
StorageLocation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
Deprecated! This field will not be filled in newly created storage locations. Resolve the zone name separately via the facilities/{id}/zones endpoint. The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference.
Esb20gpHBL94X5NdMp3CThe id of this storage location
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
GET /api/facilities/{facilityId}/storagelocations/{storageLocationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]Replaces the current storage locations of this Facility with the provided in the body.
ID of facility from whom you want to put the storage locations
the ID of the storageLocation
StorageLocationForReplacement
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3C42Storage location was found & you were allowed to update it.
StorageLocation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
Deprecated! This field will not be filled in newly created storage locations. Resolve the zone name separately via the facilities/{id}/zones endpoint. The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference.
Esb20gpHBL94X5NdMp3CThe id of this storage location
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility or Storage Location not found
PUT /api/facilities/{facilityId}/storagelocations/{storageLocationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 389
{
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {}
}{
"facilityRef": "Esb20gpHBL94X5NdMp3C",
"id": "text",
"schemaVersion": 1,
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}ID of facility from whom you want to delete the storage location
ID of the storageLocation you want to delete
Storage location was found & you were allowed to delete it.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility or storage location not found
DELETE /api/facilities/{facilityId}/storagelocations/{storageLocationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Adds new storage locations, updates existing ones and keeps the previously present ones in the database.
If a storage location exists in the patch action but not in the database it is added.
If a storage location exists both in the patch action and in the database it is updated and the contents merged.
If a storage location exists only in the database, it is left untouched.
ID of facility you want to patch the storage locations
the ID of the storageLocation
StorageLocationPatchActions
The version of the facility where we want to patch the storage locations to be used in optimistic locking mechanisms.
42Storage location was found & you were allowed to update it.
StorageLocation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A free text information about this storage location, max length 1024
The name of this storage location
Barcodes representing this storage location
The internal tenant id for this location
Describes the kind of a storage location:
SINGLE_STORAGE- it is only allowed to store stock with the same tenantArticleId hereBULK_STORAGE- stocks belonging to different tenantArticleIds can be stored here
Deprecated! This field will not be filled in newly created storage locations. Resolve the zone name separately via the facilities/{id}/zones endpoint. The name of the Zone to which this storage location belongs
The id of the Zone to which this storage location belongs
Esb20gpHBL94X5NdMp3CThe version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference.
Esb20gpHBL94X5NdMp3CThe id of this storage location
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility or Storage location not found
PATCH /api/facilities/{facilityId}/storagelocations/{storageLocationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 396
{
"actions": [
{
"action": "ModifyStorageLocation",
"customAttributes": {},
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"type": "SINGLE_STORAGE",
"zoneRef": "Esb20gpHBL94X5NdMp3C"
}
],
"version": 42
}{
"facilityRef": "Esb20gpHBL94X5NdMp3C",
"id": "text",
"schemaVersion": 1,
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}ID of facility from which you want to get the zones. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
all entities after given Id
number of entities to show
25Facility was found & you are allowed to get the zones. The result is in the body.
Zone
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
The version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference. The given ID has to be present in the system.
Esb20gpHBL94X5NdMp3CThe id of this zone
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
GET /api/facilities/{facilityId}/zones HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]Creates a new zone in this facility.
ID of facility at which you want to create the zones. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
ZoneForCreation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
The zone was successfully created.
Zone
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
The version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference. The given ID has to be present in the system.
Esb20gpHBL94X5NdMp3CThe id of this zone
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Zone not found
POST /api/facilities/{facilityId}/zones HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"name": "text",
"score": 1,
"customAttributes": {}
}{
"facilityRef": "Esb20gpHBL94X5NdMp3C",
"id": "text",
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}ID of facility from which you want to get the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
the ID of the zone
Zone was found & you are allowed to get it. The result is in the body.
Zone
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
The version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference. The given ID has to be present in the system.
Esb20gpHBL94X5NdMp3CThe id of this zone
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
GET /api/facilities/{facilityId}/zones/{zoneId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]Replaces the current zone of this Facility with the provided in the body.
ID of facility from which you want to put the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
the ID of the zone
ZoneForReplacement
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
42Zone was found & you are allowed to update it.
Zone
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
The name of this zone
The score of this zone
The version of the document to be used in optimistic locking mechanisms.
42The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe id of the facility reference. The given ID has to be present in the system.
Esb20gpHBL94X5NdMp3CThe id of this zone
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
PUT /api/facilities/{facilityId}/zones/{zoneId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {}
}[
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]ID of facility from which you want to delete the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})
ID of the zone you want to delete
Zone was found & you were allowed to delete it.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility or storage location not found
DELETE /api/facilities/{facilityId}/zones/{zoneId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Search for StorageLocation
StorageLocationSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StorageLocationPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/storagelocations/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5074
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"referenced": {
"stock": {
"hasStocks": {
"eq": true,
"notEq": true
},
"sumOfValues": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantLocationId": "MY_LOCATION_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"type": {
"eq": "SINGLE_STORAGE",
"in": [
"SINGLE_STORAGE"
],
"notEq": "SINGLE_STORAGE"
},
"zoneRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"referenced": {
"stock": {
"hasStocks": {
"eq": true,
"notEq": true
},
"sumOfValues": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantLocationId": "MY_LOCATION_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"type": {
"eq": "SINGLE_STORAGE",
"in": [
"SINGLE_STORAGE"
],
"notEq": "SINGLE_STORAGE"
},
"zoneRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"referenced": {
"stock": {
"hasStocks": {
"eq": true,
"notEq": true
},
"sumOfValues": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantLocationId": "MY_LOCATION_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"type": {
"eq": "SINGLE_STORAGE",
"in": [
"SINGLE_STORAGE"
],
"notEq": "SINGLE_STORAGE"
},
"zoneRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"referenced": {
"stock": {
"hasStocks": {
"eq": true,
"notEq": true
},
"sumOfValues": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantLocationId": "MY_LOCATION_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"type": {
"eq": "SINGLE_STORAGE",
"in": [
"SINGLE_STORAGE"
],
"notEq": "SINGLE_STORAGE"
},
"zoneRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"referenced": {
"stock": {
"hasStocks": {
"eq": true,
"notEq": true
},
"sumOfValues": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantLocationId": "MY_LOCATION_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"type": {
"eq": "SINGLE_STORAGE",
"in": [
"SINGLE_STORAGE"
],
"notEq": "SINGLE_STORAGE"
},
"zoneRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"size": 10,
"sort": [
{
"created": "ASC",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"name": "ASC",
"tenantLocationId": "ASC",
"zoneRef": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"storageLocations": [
{
"version": 42,
"information": "text",
"name": "text",
"runningSequences": [
{
"nextStorageLocationRef": "text",
"previousStorageLocationRef": "text",
"type": "PICKING_SEQUENCE"
}
],
"scannableCodes": [
"text"
],
"tenantLocationId": "text",
"traitConfig": [
{
"enabled": true,
"trait": "PICKABLE"
}
],
"traits": [
"PICKABLE"
],
"type": "SINGLE_STORAGE",
"zoneName": "text",
"zoneRef": "Esb20gpHBL94X5NdMp3C",
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
],
"total": 1
}Search for Zone
ZoneSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ZonePaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/zones/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1511
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
],
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
}
],
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
},
"size": 10,
"sort": [
{
"lastModified": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1,
"zones": [
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]
}Last updated
Was this helpful?

